phpcbf(1)

NAME
phpcbf - automatically fix errors found by PHPCS

SYNOPSIS
phpcbf [-nwli] [-d key[ =value ]] [--ignore-annotations] [--bootstrap= bootstrap] [--standard= standard] [--sniffs= sniffs] [--exclude= sniffs] [--suffix= suffix] [--severity= severity] [--error-severity= severity] [--warning-severity= severity] [--tab-width= tabWidth] [--encoding= encoding] [--parallel= processes] [--basepath= basepath] [--extensions= extensions] [--ignore= patterns] [--stdin-path= stdinPath] [--file-list= fileList] [--filter= filter] file ...

DESCRIPTION

phpcbf (or PHP Code Beautifier and Fixer) is a PHP script to automatically fix as many sniff violations as possible.

PARAMETERS

basepath

    A path to strip from the front of file paths inside reports

bootstrap

    A comma separated list of files to run before processing starts

encoding

    The encoding of the files being fixed (default is iso-8859-1)

extensions

    A comma separated list of file extensions to fix. The type of the file can be specified using: ext/type; e.g., module/php,es/js

file

    One or more files and/or directories to fix

fileList

    A file containing a list of files and/or directories to check (one per line)

filter

    Use either the "gitmodified" or "gitstaged" filter, or specify the path to a custom filter class

patterns

    A comma separated list of patterns to ignore files and directories

processes

    How many files should be fixed simultaneously (default is 1)

severity

    The minimum severity required to fix an error or warning

sniffs

    A comma separated list of sniff codes to include or exclude from fixing (all sniffs must be part of the specified standard)

standard

    The name or path of the coding standard to use

stdinPath

    If processing STDIN, the file path that STDIN will be processed as

suffix

    Write modified files to a filename using this suffix ("diff" and "patch" are not used in this mode)

tabWidth

    The number of spaces each tab represents

OPTION

-n

    Do not fix warnings (shortcut for --warning-severity=0)

-w

    Fix both warnings and errors (on by default)

-l

    Local directory only, no recursion

-p

    Show progress of the run

-q

    Quiet mode; disables progress and verbose output

-v

    Print processed files

-vv

    Print ruleset and token output

-vvv

    Print sniff processing information

-i

    Show a list of installed coding standards

-d

    Set the key php.ini value to value or true if value is omitted

--help

    Print the help message

--version

    Print version information

--ignore-annotations

    Ignore all phpcs: annotations in code comments

SEE ALSO
phpcs(1)